#ifndef CMWMANUALTRANS_H
#define CMWMANUALTRANS_H

#include "cmwidget.h"
#include "ui_cmwmanualtrans.h"

class CMWManualTrans : public CMWidget
{
	Q_OBJECT

public:
	CMWManualTrans(QWidget *parent = 0);
	~CMWManualTrans();


	virtual void MFresh();


	virtual void MTimeFresh();

	private slots:
    void on_btnCleanToCheckbox_clicked();

    void on_btnCTToCass_clicked();

    void on_btnCoatToCheckbox_clicked();

    void on_btnCheckboxToCass_clicked();

    void on_btnCleanCoatTable_clicked();

    void on_btnCleanCleanTable_clicked();

    void on_btnCleanWorktable_clicked();

    void on_btnClean_CoatTableLiquid_clicked();

    void on_btnCheckBoxToCoat_clicked();

    void on_btnCoatToClean_clicked();

    void on_btnReadCleanConfig_clicked();

    void on_btnReadCoatConfig_clicked();

    void on_btnWriteCoatConfig_clicked();

    void on_btnWriteCleanConfig_clicked();

    void on_btnWtTest_clicked();

    void on_btnRailNearLocation_clicked();
    void on_btnRailNearLocationManual_clicked();
    void on_btnCupboardToClean_clicked();
    void on_btnCupboardToCoat_clicked();

    void on_btnAbortTrans_clicked();
    void on_btnAbortLoad_clicked();
    void on_btnAbortUnload_clicked();
    
private:
	Ui::CMWManualTrans ui;
};

#endif // CMWMANUALTRANS_H
